### Constructor

# ICalGLib Property new_trigger

since: 1.0

#### Declaration [src]

    ICalProperty*
    i_cal_property_new_trigger (
      const ICalTrigger* value
    )

#### Description [src]

Creates a new `ICalProperty` holding TRIGGER.

Available since: 1.0

#### Parameters

`value`

  Type: `const ICalTrigger`

  The `ICalTrigger` value.

  The data is owned by the caller of the function.

#### Return value

Type: `ICalProperty`

A new `ICalProperty` holding TRIGGER.

The caller of the function takes ownership of the data, and is responsible for freeing it.